
Foniatr - Bug #41
RDP time of acquisition je konstatni pro 4 nasledujici akvizice
23 February 2011 11:01 - Marek Frič

Status: Resolved Start date: 23 February 2011
Priority: High Due date:
Assignee: Tomáš Kulhánek % Done: 90%
Category: RDPPlugin Estimated time: 0.00 hour
Target version: RealVRP.8 Spent time: 8.00 hours
Description

cas akvizice dat je konstatnty vzdy pre cca 4 postupne akvizice - tedy i vsechna vypoctena data jsou konstatni...

History
#1 - 04 March 2011 12:14 - Tomáš Kulhánek
- Category set to RDPPlugin
- Status changed from New to Resolved
- Assignee set to Tomáš Kulhánek
- Target version set to RealVRP.8
- % Done changed from 0 to 90

Problem vyresen. Cteni bufferu je nyni nezavisle na naplnovani, pokazde by mel vratit nasledujici data
- pokud je plneni dat z mikrofonu pres RDP do buffer rychlejsi nez cteni - neprectene samply z bufferu se zahazuji
- pokud je cteni rychlejsi nez plneni dat z mikrofonu pres RDP do buffer - pak se vraci tentyz vysledek - nyni malo pravdepodobne.

Zkompilovane opravene DLL v C:\Windows\System32

#2 - 07 March 2011 16:01 - Marek Frič
- File ProblemRVL_1.jpg added

po kontrole som zistisl, ze naozaj akusticka data sa obnovuji, ale zostal jeden problem: neaktualizuje sa cas prirateny danej akvizicii dat, teda ten
ostava niekolkokrat rovnaky viz prilozeny obtrazek (ProblemRVL_1.jpg), hoci data sa tam menia. 
Treba doprogramovat aj aktualizaciu TimeLine v riadku 321, Time line je definovany ako pocet vsetkych vzorkov / samplingRate (teda cas koncoveho
vzorku).
